package com.cool.store.service;

import com.cool.store.dto.Preparation.PreparationDTO;
import com.cool.store.dto.pre.fry.ApplyManagementDTO;
import com.cool.store.entity.ImportTaskDO;
import com.cool.store.entity.LineInfoDO;
import com.cool.store.entity.PointInfoDO;
import com.cool.store.request.FranchiseReportRequest;
import com.cool.store.response.BranchShopResponse;
import com.cool.store.response.FranchiseReportResponse;
import com.cool.store.response.ShopReportResponse;

import java.util.List;

/**
 * @Author: WangShuo
 * @Date: 2024/10/29/下午1:57
 * @Version 1.0
 * @注释:
 */
public interface ExportRealizeService {


    void branchShopList(List<BranchShopResponse> list,ImportTaskDO importTaskDO);

    void exportFinance(List<BranchShopResponse> list,ImportTaskDO importTaskDO);

    void exportJoinShop(List<BranchShopResponse> list,ImportTaskDO importTaskDO);

    void exportProgress(List<BranchShopResponse> list,ImportTaskDO importTaskDO);

    void exportZxjpOpenShopReport(List<FranchiseReportResponse> list, ImportTaskDO importTaskDO, FranchiseReportRequest request);

    void exportZxjpOpenShopReportPage(List<ShopReportResponse> list, ImportTaskDO importTaskDO, FranchiseReportRequest request);
    void exportPreFryQualificationApply(List<ApplyManagementDTO> list, ImportTaskDO importTaskDO);
}
